Subject: register allocation
From: Wouter van Oortmerssen <[email-masked]>
To: [email-masked]
Date: Fri, 9 Jul 1993 22:49:37 +0200

>> Since everyone's posting their wish list for E, I thought I'd add mine.
 
some people are taking the "Public Domain" image of E too literally :-)
 
>> Actually, I only have one. (;
>> Inline code optimizer! (Or at least registerized variables)
>> 
>> Why? I've coded a couple of utils lately and to put E to the test, I ported
>> it to SAS/C. Even though E produced smaller codes in all cases, this did not
>> necessarily mean a quicker program. On the contrary, E was clock on one
>> program as twice as slow!
 
this isn't necessarily because of register variables: I have examples
where C code with register variables is a few times slower than E code
without. It could very well be that you're using un-optimal constructs
in E: send them to me, and I'll tell you if it can be done faster.
 
>> The only way I could go faster was by assembly
>> coding the heavy routines myself. (Parameters on registers would be nice).
 
oh yes that would be usefull. even register variables could be nice
in E, I have it on my "TODO" list for a later version.
 
>> Kinda like a global optimizer for E.
>> 
>> Bye.. Son Le
>> 
 
Wouter
 
   ____  Wouter van Oortmerssen, [email-masked]
  / __/  "Einen Satz verstehen, heisst, wissen was der Fall ist,
 / __/    wenn er wahr ist" - Wittgenstein
/___/  ->subscribe to the E mailing list: [email-masked]<-